package opc.ua.services.sets;

import opc.ua.addressspace.datatype.NodeId;
import opc.ua.services.common.RequestHeader;
import opc.ua.services.common.ResponseHeader;

public class RegisterNodes {

	/** 
	 * request
	 */
	private RequestHeader requestHeader;
	private NodeId[] nodesToRegister;
	
	/**
	 * response
	 */
	private ResponseHeader responseHeader;
	private NodeId[] registeredNodeIds;
	
	
	public RequestHeader getRequestHeader() {
		return requestHeader;
	}
	public void setRequestHeader(RequestHeader requestHeader) {
		this.requestHeader = requestHeader;
	}
	public NodeId[] getNodesToRegister() {
		return nodesToRegister;
	}
	public void setNodesToRegister(NodeId[] nodesToRegister) {
		this.nodesToRegister = nodesToRegister;
	}
	public ResponseHeader getResponseHeader() {
		return responseHeader;
	}
	public void setResponseHeader(ResponseHeader responseHeader) {
		this.responseHeader = responseHeader;
	}
	public NodeId[] getRegisteredNodeIds() {
		return registeredNodeIds;
	}
	public void setRegisteredNodeIds(NodeId[] registeredNodeIds) {
		this.registeredNodeIds = registeredNodeIds;
	}
}
